Run in Apidog
Returns a Service Request and its current status, whether it was submitted through the API or raised in Calven. Requires the service:request:read permission.
Request Add the parameter Authorization
to Headers Example: Authorization: ********************
or
Request Code Samples
curl --location 'https://api.calven.com/v1/services/service-requests/requests/' \
--header 'Authorization: Bearer <token>' Responses application/json
Generate Code
{
"serviceRequestId" : "1e23d1ac-fd7c-4b0a-8bb8-3a6c80ad6fcc" ,
"type" : "meetingBound" ,
"offeringId" : "ab19dd02-6e4f-4f6f-b30e-37b01441b2ae" ,
"offeringGroupId" : "80c77403-51e7-48a0-943a-2aa916b31327" ,
"locationId" : "58fab1b7-f5da-4281-9148-ba4905ee9992" ,
"status" : "accepted" ,
"calendarEventId" : "9618160e-33cb-431e-89ee-6ead6d72d1ca" ,
"answers" : [
{
"questionId" : "cb7274b1-3e90-4972-afab-457b3a51c958" ,
"kind" : "text" ,
"value" : "string" ,
"freeText" : "string"
}
] ,
"requester" : {
"principalId" : "4013fd11-ddb8-47a7-9cca-285bb3cb1299" ,
"principalType" : "external"
} ,
"requiredAtOffsetMinutes" : -15 ,
"requiredAt" : "2026-11-01T22:45:00.000Z" ,
"createdAt" : "2026-10-13T04:12:00.000Z" ,
"updatedAt" : "2026-10-13T04:12:00.000Z"
}
Modified at 2026-11-19 03:47:52